package com.sifang.modules.order.controller.form;

import org.apache.commons.lang3.StringUtils;
import org.hibernate.validator.constraints.NotBlank;

public class OrderAdjustmentRecord {

    private String orderId;
    private String id; // 结算明细表id
    private String number;
    private String serviceCosts;
    private String mileageCost;
    private String otherCost;
    private String rewardCosts;
    private String remarks;
    private String exigencyCosts;
    @NotBlank
    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getServiceCosts() {
        return StringUtils.trim(serviceCosts);
    }

    public void setServiceCosts(String serviceCosts) {
        this.serviceCosts = serviceCosts;
    }

    public String getMileageCost() {
        return StringUtils.trim(mileageCost);
    }

    public void setMileageCost(String mileageCost) {
        this.mileageCost = mileageCost;
    }

    public String getOtherCost() {
        return StringUtils.trim(otherCost);
    }

    public void setOtherCost(String otherCost) {
        this.otherCost = otherCost;
    }

    public String getRewardCosts() {
        return StringUtils.trim(rewardCosts);
    }

    public void setRewardCosts(String rewardCosts) {
        this.rewardCosts = rewardCosts;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }


    public String getExigencyCosts() {
        return exigencyCosts;
    }

    public void setExigencyCosts(String exigencyCosts) {
        this.exigencyCosts = exigencyCosts;
    }

    @NotBlank
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
